View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001113aMuleSharedfilespublic2007-05-30 02:172008-02-22 11:11
ReporterYAFU 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.1.3 
Target VersionFixed in VersionSVN 
Summary0001113: Not share files with special characters
DescriptionThe aMule version 2.1.3.cvs20070505 does not share (it does not generate hash) files that contain special characters, for example the letter "ñ".
TagsNo tags attached.
Fixed in Revision
Operating SystemKubuntu Linux 7.04
Attached Files

- Relationships
related to 0001177resolvedXaignar Cannot share directories with non-ascii characters in name 
related to 0001167closed Always can't create destination files when finishing the downloading files. 
related to 0001210resolvedXaignar amule can't read files with unicode-encoded name 
related to 0001239resolvedXaignar Shared Files list does not update properly. Version 2.2.0 

-  Notes
(0002398)
YannickPalanque (reporter)
2007-09-17 05:18

Same with CVS-20070916.
Bug 1177 seems linked.

Example in log:

2007-09-17 04:07:47: Logger.cpp(268): Erreur : Failed to retrieve file times for '/home/yannick/partage/Linux et les élégants pingouins.avi' (error 2: Aucun fichier ou répertoire de ce type)
2007-09-17 04:07:47: FileFunctions.cpp(187): FileIO: Error on GetLastModificationTime from `/home/yannick/partage/Linux et les élégants pingouins.avi.avi'
2007-09-17 04:07:47: CFile.cpp(147): CFile: Error when opening file (/home/yannick/partage/Linux et les élégants pingouins.avi): Aucun fichier ou répertoire de ce type

Same if there is no space in filename. The "é" block.
ext3, UTF-8
(0002399)
YannickPalanque (reporter)
2007-09-17 05:26

Hem, sorry:

2c2
< FileFunctions.cpp(187): FileIO: Error on GetLastModificationTime from `/home/yannick/partage/Linux et les élégants pingouins.avi.avi'
---
> FileFunctions.cpp(187): FileIO: Error on GetLastModificationTime from `/home/yannick/partage/Linux et les élégants pingouins.avi'

Of course.
(0002405)
Wuischke (manager)
2007-09-17 16:17

Please see http://bugs.amule.org/view.php?id=1177 [^] as well.
(0002411)
Wuischke (manager)
2007-09-26 17:59

This should be fixed in tomorrows tarball.
(0002413)
Wuischke (manager)
2007-09-29 12:07

OK, still seems to be broken, even though it worked for me. :(
(0002415)
iz0bbz (reporter)
2007-09-29 12:11

Uh? It worked for me too.
(0002416)
Coronas (reporter)
2007-09-29 15:50

Hm, I have the exactly same issue as Yannick, but only *after* the fix was applied. Before that, everything was fine, even though the filenames contained some üäö-letters.
(0002418)
iz0bbz (reporter)
2007-10-03 09:44

Hey, something's odd here.

After 09/26 patches, the fix *actually* worked for me.

Today I've compiled & installed aMule-CVS-20071003 , and the problem reappeared.

Perhaps you've removed the patch.
(0002420)
Wuischke (manager)
2007-10-03 21:10

Yes, I have removed the patch.

iz0bbz and Coronas: I would very much like to see your output of the following two commands.

echo $LANG
locale -a

Have a look at my output:

$ echo $LANG
en_US.utf8
$ locale -a
C
POSIX
de_DE.utf8
en_US.utf8

What the patch did was using the system locale (en_US.utf8) for file name conversion. Kry suspects that wx will use the first locale (in my case it's 'C') for file operations and thus fail on every non-ASCII character.
(0002421)
Coronas (reporter)
2007-10-03 22:11
edited on: 2007-10-03 22:30

Here's the output, but it's not very constructive. Maybe you could check for the presence of $LANG and use
- the "new" way if $LANG is definde
- the "old" way if undefined?
That would allow to continue using amuled on an embedded low-fi system...

[coronas@asus ~]$ telnet 192.168.0.42
Trying 192.168.0.42...
Connected to dreambox.localhost.lan (192.168.0.42).
Escape character is '^]'.
welcome on your dreambox! - Kernel 2.6.9 (21:04:19).
dreambox login: root
Password:
BusyBox v1.01 (2007.05.18-18:47+0000) Built-in shell (ash)
Enter 'help' for a list of built-in commands.

~ > echo $LANG

~ > locale -a
-sh: locale: not found
~ >

Edit: Just to give you an idea about the systems' specs:
~ > free
              total used free shared buffers
  Mem: 30028 28868 1160 0 2032
 Swap: 102304 0 102304
Total: 132332 28868 103464
~ > cat /proc/cpuinfo
processor : 0
cpu : STB04xxx
clock : 252MHz
revision : 8.209 (pvr 4181 08d1)
bogomips : 250.88
machine : Dream Multimedia TV Dreambox
plb bus clock : 63MHz
~ >

edited on: 10-03-07 22:30
(0002423)
iz0bbz (reporter)
2007-10-04 14:13

Here is my output, which is very similar to yours - the only exception is that locale -a gives lot of lines... and the 'C' one is not on top of the list.
System is a Fedora 7 on a VIA C3 motherboard.


[amule@atlante ~]$ echo $LANG
en_US.UTF-8
[amule@atlante ~]$ locale -a
aa_DJ
aa_DJ.iso88591
aa_DJ.utf8
aa_ER
aa_ER@saaho
aa_ER.utf8
aa_ER.utf8@saaho
aa_ET
aa_ET.utf8
af_ZA
af_ZA.iso88591
af_ZA.utf8
am_ET
am_ET.utf8
an_ES
an_ES.iso885915
an_ES.utf8
ar_AE
ar_AE.iso88596
ar_AE.utf8
ar_BH
ar_BH.iso88596
ar_BH.utf8
ar_DZ
ar_DZ.iso88596
ar_DZ.utf8
ar_EG
ar_EG.iso88596
ar_EG.utf8
ar_IN
ar_IN.utf8
ar_IQ
ar_IQ.iso88596
ar_IQ.utf8
ar_JO
ar_JO.iso88596
ar_JO.utf8
ar_KW
ar_KW.iso88596
ar_KW.utf8
ar_LB
ar_LB.iso88596
ar_LB.utf8
ar_LY
ar_LY.iso88596
ar_LY.utf8
ar_MA
ar_MA.iso88596
ar_MA.utf8
ar_OM
ar_OM.iso88596
ar_OM.utf8
ar_QA
ar_QA.iso88596
ar_QA.utf8
ar_SA
ar_SA.iso88596
ar_SA.utf8
ar_SD
ar_SD.iso88596
ar_SD.utf8
ar_SY
ar_SY.iso88596
ar_SY.utf8
ar_TN
ar_TN.iso88596
ar_TN.utf8
ar_YE
ar_YE.iso88596
ar_YE.utf8
as_IN.utf8
ast_ES
ast_ES.iso885915
ast_ES.utf8
az_AZ.utf8
be_BY
be_BY.cp1251
be_BY@latin
be_BY.utf8
be_BY.utf8@latin
bg_BG
bg_BG.cp1251
bg_BG.utf8
bn_BD
bn_BD.utf8
bn_IN
bn_IN.utf8
bokmal
bokm▒l
br_FR
br_FR@euro
br_FR.iso88591
br_FR.iso885915@euro
br_FR.utf8
bs_BA
bs_BA.iso88592
bs_BA.utf8
byn_ER
byn_ER.utf8
C
ca_AD
ca_AD.iso885915
ca_AD.utf8
ca_ES
ca_ES@euro
ca_ES.iso88591
ca_ES.iso885915@euro
ca_ES.utf8
ca_FR
ca_FR.iso885915
ca_FR.utf8
ca_IT
ca_IT.iso885915
ca_IT.utf8
catalan
crh_UA
crh_UA.utf8
croatian
csb_PL
csb_PL.utf8
cs_CZ
cs_CZ.iso88592
cs_CZ.utf8
cy_GB
cy_GB.iso885914
cy_GB.utf8
czech
da_DK
da_DK.iso88591
da_DK.iso885915
da_DK.utf8
danish
dansk
de_AT
de_AT@euro
de_AT.iso88591
de_AT.iso885915@euro
de_AT.utf8
de_BE
de_BE@euro
de_BE.iso88591
de_BE.iso885915@euro
de_BE.utf8
de_CH
de_CH.iso88591
de_CH.utf8
de_DE
de_DE@euro
de_DE.iso88591
de_DE.iso885915@euro
de_DE.utf8
de_LU
de_LU@euro
de_LU.iso88591
de_LU.iso885915@euro
de_LU.utf8
deutsch
dutch
dz_BT
dz_BT.utf8
eesti
el_CY
el_CY.iso88597
el_CY.utf8
el_GR
el_GR.iso88597
el_GR.utf8
en_AU
en_AU.iso88591
en_AU.utf8
en_BW
en_BW.iso88591
en_BW.utf8
en_CA
en_CA.iso88591
en_CA.utf8
en_DK
en_DK.iso88591
en_DK.utf8
en_GB
en_GB.iso88591
en_GB.iso885915
en_GB.utf8
en_HK
en_HK.iso88591
en_HK.utf8
en_IE
en_IE@euro
en_IE.iso88591
en_IE.iso885915@euro
en_IE.utf8
en_IN
en_IN.utf8
en_NZ
en_NZ.iso88591
en_NZ.utf8
en_PH
en_PH.iso88591
en_PH.utf8
en_SG
en_SG.iso88591
en_SG.utf8
en_US
en_US.iso88591
en_US.iso885915
en_US.utf8
en_ZA
en_ZA.iso88591
en_ZA.utf8
en_ZW
en_ZW.iso88591
en_ZW.utf8
es_AR
es_AR.iso88591
es_AR.utf8
es_BO
es_BO.iso88591
es_BO.utf8
es_CL
es_CL.iso88591
es_CL.utf8
es_CO
es_CO.iso88591
es_CO.utf8
es_CR
es_CR.iso88591
es_CR.utf8
es_DO
es_DO.iso88591
es_DO.utf8
es_EC
es_EC.iso88591
es_EC.utf8
es_ES
es_ES@euro
es_ES.iso88591
es_ES.iso885915@euro
es_ES.utf8
es_GT
es_GT.iso88591
es_GT.utf8
es_HN
es_HN.iso88591
es_HN.utf8
es_MX
es_MX.iso88591
es_MX.utf8
es_NI
es_NI.iso88591
es_NI.utf8
es_PA
es_PA.iso88591
es_PA.utf8
es_PE
es_PE.iso88591
es_PE.utf8
es_PR
es_PR.iso88591
es_PR.utf8
es_PY
es_PY.iso88591
es_PY.utf8
es_SV
es_SV.iso88591
es_SV.utf8
estonian
es_US
es_US.iso88591
es_US.utf8
es_UY
es_UY.iso88591
es_UY.utf8
es_VE
es_VE.iso88591
es_VE.utf8
et_EE
et_EE.iso88591
et_EE.iso885915
et_EE.utf8
eu_ES
eu_ES@euro
eu_ES.iso88591
eu_ES.iso885915@euro
eu_ES.utf8
fa_IR
fa_IR.utf8
fi_FI
fi_FI@euro
fi_FI.iso88591
fi_FI.iso885915@euro
fi_FI.utf8
finnish
fo_FO
fo_FO.iso88591
fo_FO.utf8
fran▒ais
fr_BE
fr_BE@euro
fr_BE.iso88591
fr_BE.iso885915@euro
fr_BE.utf8
fr_CA
fr_CA.iso88591
fr_CA.utf8
fr_CH
fr_CH.iso88591
fr_CH.utf8
french
fr_FR
fr_FR@euro
fr_FR.iso88591
fr_FR.iso885915@euro
fr_FR.utf8
fr_LU
fr_LU@euro
fr_LU.iso88591
fr_LU.iso885915@euro
fr_LU.utf8
fy_NL
fy_NL.utf8
ga_IE
ga_IE@euro
ga_IE.iso88591
ga_IE.iso885915@euro
ga_IE.utf8
galego
galician
gd_GB
gd_GB.iso885915
gd_GB.utf8
german
gez_ER
gez_ER@abegede
gez_ER.utf8
gez_ER.utf8@abegede
gez_ET
gez_ET@abegede
gez_ET.utf8
gez_ET.utf8@abegede
gl_ES
gl_ES@euro
gl_ES.iso88591
gl_ES.iso885915@euro
gl_ES.utf8
greek
gu_IN
gu_IN.utf8
gv_GB
gv_GB.iso88591
gv_GB.utf8
hebrew
he_IL
he_IL.iso88598
he_IL.utf8
hi_IN
hi_IN.utf8
hr_HR
hr_HR.iso88592
hr_HR.utf8
hrvatski
hsb_DE
hsb_DE.iso88592
hsb_DE.utf8
hu_HU
hu_HU.iso88592
hu_HU.utf8
hungarian
hy_AM
hy_AM.armscii8
hy_AM.utf8
icelandic
id_ID
id_ID.iso88591
id_ID.utf8
is_IS
is_IS.iso88591
is_IS.utf8
italian
it_CH
it_CH.iso88591
it_CH.utf8
it_IT
it_IT@euro
it_IT.iso88591
it_IT.iso885915@euro
it_IT.utf8
iw_IL
iw_IL.iso88598
iw_IL.utf8
ja_JP
ja_JP.eucjp
ja_JP.ujis
ja_JP.utf8
japanese
japanese.euc
ka_GE
ka_GE.georgianps
ka_GE.utf8
kk_KZ
kk_KZ.pt154
kk_KZ.utf8
kl_GL
kl_GL.iso88591
kl_GL.utf8
km_KH
km_KH.utf8
kn_IN
kn_IN.utf8
ko_KR
ko_KR.euckr
ko_KR.utf8
korean
korean.euc
ku_TR
ku_TR.iso88599
ku_TR.utf8
kw_GB
kw_GB.iso88591
kw_GB.utf8
ky_KG
ky_KG.utf8
lg_UG
lg_UG.iso885910
lg_UG.utf8
lithuanian
lo_LA
lo_LA.utf8
lt_LT
lt_LT.iso885913
lt_LT.utf8
lv_LV
lv_LV.iso885913
lv_LV.utf8
mai_IN
mai_IN.utf8
mg_MG
mg_MG.iso885915
mg_MG.utf8
mi_NZ
mi_NZ.iso885913
mi_NZ.utf8
mk_MK
mk_MK.iso88595
mk_MK.utf8
ml_IN
ml_IN.utf8
mn_MN
mn_MN.utf8
mr_IN
mr_IN.utf8
ms_MY
ms_MY.iso88591
ms_MY.utf8
mt_MT
mt_MT.iso88593
mt_MT.utf8
nb_NO
nb_NO.iso88591
nb_NO.utf8
ne_NP
ne_NP.utf8
nl_BE
nl_BE@euro
nl_BE.iso88591
nl_BE.iso885915@euro
nl_BE.utf8
nl_NL
nl_NL@euro
nl_NL.iso88591
nl_NL.iso885915@euro
nl_NL.utf8
nn_NO
nn_NO.iso88591
nn_NO.utf8
no_NO
no_NO.iso88591
no_NO.utf8
norwegian
nr_ZA
nr_ZA.utf8
nso_ZA
nso_ZA.utf8
nynorsk
oc_FR
oc_FR.iso88591
oc_FR.utf8
om_ET
om_ET.utf8
om_KE
om_KE.iso88591
om_KE.utf8
or_IN
or_IN.utf8
pa_IN
pa_IN.utf8
pa_PK
pa_PK.utf8
pl_PL
pl_PL.iso88592
pl_PL.utf8
polish
portuguese
POSIX
pt_BR
pt_BR.iso88591
pt_BR.utf8
pt_PT
pt_PT@euro
pt_PT.iso88591
pt_PT.iso885915@euro
pt_PT.utf8
romanian
ro_RO
ro_RO.iso88592
ro_RO.utf8
ru_RU
ru_RU.iso88595
ru_RU.koi8r
ru_RU.utf8
russian
ru_UA
ru_UA.koi8u
ru_UA.utf8
rw_RW
rw_RW.utf8
se_NO
se_NO.utf8
sid_ET
sid_ET.utf8
si_LK
si_LK.utf8
sk_SK
sk_SK.iso88592
sk_SK.utf8
slovak
slovene
slovenian
sl_SI
sl_SI.iso88592
sl_SI.utf8
so_DJ
so_DJ.iso88591
so_DJ.utf8
so_ET
so_ET.utf8
so_KE
so_KE.iso88591
so_KE.utf8
so_SO
so_SO.iso88591
so_SO.utf8
spanish
sq_AL
sq_AL.iso88591
sq_AL.utf8
sr_ME
sr_ME.utf8
sr_RS
sr_RS@latin
sr_RS.utf8
sr_RS.utf8@latin
ss_ZA
ss_ZA.utf8
st_ZA
st_ZA.iso88591
st_ZA.utf8
sv_FI
sv_FI@euro
sv_FI.iso88591
sv_FI.iso885915@euro
sv_FI.utf8
sv_SE
sv_SE.iso88591
sv_SE.iso885915
sv_SE.utf8
swedish
ta_IN
ta_IN.utf8
te_IN
te_IN.utf8
tg_TJ
tg_TJ.koi8t
tg_TJ.utf8
thai
th_TH
th_TH.tis620
th_TH.utf8
ti_ER
ti_ER.utf8
ti_ET
ti_ET.utf8
tig_ER
tig_ER.utf8
tl_PH
tl_PH.iso88591
tl_PH.utf8
tn_ZA
tn_ZA.utf8
tr_CY
tr_CY.iso88599
tr_CY.utf8
tr_TR
tr_TR.iso88599
tr_TR.utf8
ts_ZA
ts_ZA.utf8
tt_RU@iqtelif.UTF-8
tt_RU.utf8
tt_RU.utf8@iqtelif.UTF-8
turkish
uk_UA
uk_UA.koi8u
uk_UA.utf8
ur_PK
ur_PK.utf8
uz_UZ
uz_UZ@cyrillic
uz_UZ.iso88591
uz_UZ.utf8@cyrillic
ve_ZA
ve_ZA.utf8
vi_VN
vi_VN.tcvn
vi_VN.utf8
wa_BE
wa_BE@euro
wa_BE.iso88591
wa_BE.iso885915@euro
wa_BE.utf8
xh_ZA
xh_ZA.iso88591
xh_ZA.utf8
yi_US
yi_US.cp1255
yi_US.utf8
zh_CN
zh_CN.gb18030
zh_CN.gb2312
zh_CN.gbk
zh_CN.utf8
zh_HK
zh_HK.big5hkscs
zh_HK.utf8
zh_SG
zh_SG.gb2312
zh_SG.gbk
zh_SG.utf8
zh_TW
zh_TW.big5
zh_TW.euctw
zh_TW.utf8
zu_ZA
zu_ZA.iso88591
zu_ZA.utf8
[amule@atlante ~]$
(0002427)
YAFU (reporter)
2007-10-10 03:56
edited on: 2007-10-10 05:06

Is this bug fixed now?
I have upgrade aMule 2.1.3.cvs20070505 to 2.1.3.cvs20070903 from Treviño Ubuntu repository and I'm still having the same problem.
The problematic characters that I have tested are: á,é,í,ó,ú,ñ,ç,ö

Anyway, my output is:

$ echo $LANG
es_AR.UTF-8

$ locale -a
C
en_AU.utf8
en_BW.utf8
en_CA.utf8
en_DK.utf8
en_GB.utf8
en_HK.utf8
en_IE.utf8
en_IN
en_NZ.utf8
en_PH.utf8
en_SG.utf8
en_US.utf8
en_ZA.utf8
en_ZW.utf8
es_AR.utf8
es_BO.utf8
es_CL.utf8
es_CO.utf8
es_CR.utf8
es_DO.utf8
es_EC.utf8
es_ES.utf8
es_GT.utf8
es_HN.utf8
es_MX.utf8
es_NI.utf8
es_PA.utf8
es_PE.utf8
es_PR.utf8
es_PY.utf8
es_SV.utf8
es_US.utf8
es_UY.utf8
es_VE.utf8
POSIX

edited on: 10-10-07 05:06
(0002520)
benjavalero (reporter)
2008-01-19 15:53

Same problem with CVS version (18 January 2008) compiled manually in Ubuntu Gutsy updated. The first item on running "locale -a" is also a "C". My LANG variable is "es_ES.UTF-8".
(0002521)
Xaignar (manager)
2008-01-19 18:37

I'm working on it. Have patience. :)

Cheers.
(0002557)
benjavalero (reporter)
2008-02-07 21:36

This bug seems solved in CVS version of 2th of February from the Ubuntu package in http://forum.amule.org/index.php?topic=13700.0 [^] and in CVS version of 7th of February compiled from the source.
(0002558)
Coronas (reporter)
2008-02-08 00:05

SVN 20080207 works fine here.
(0002570)
Xaignar (manager)
2008-02-17 02:08

I've done some work to fix this problem, so please test current SVN and report back if the issue has been resolved.
(0002660)
YAFU (reporter)
2008-02-22 06:23

Thanks Xaignar.
It's solved in SVN 20080217.
(0002661)
Xaignar (manager)
2008-02-22 11:11

Great. Thanks.

- Issue History
Date Modified Username Field Change
2007-05-30 02:17 YAFU New Issue
2007-05-30 02:17 YAFU Operating System => Kubuntu Linux 7.04
2007-09-17 05:18 YannickPalanque Note Added: 0002398
2007-09-17 05:26 YannickPalanque Note Added: 0002399
2007-09-17 16:17 Wuischke Note Added: 0002405
2007-09-17 16:17 Wuischke Status new => acknowledged
2007-09-26 17:59 Wuischke Status acknowledged => resolved
2007-09-26 17:59 Wuischke Resolution open => fixed
2007-09-26 17:59 Wuischke Assigned To => Wuischke
2007-09-26 17:59 Wuischke Note Added: 0002411
2007-09-29 12:07 Wuischke Note Added: 0002413
2007-09-29 12:07 Wuischke Status resolved => acknowledged
2007-09-29 12:11 iz0bbz Note Added: 0002415
2007-09-29 15:50 Coronas Note Added: 0002416
2007-10-03 09:44 iz0bbz Note Added: 0002418
2007-10-03 21:10 Wuischke Note Added: 0002420
2007-10-03 22:11 Coronas Note Added: 0002421
2007-10-03 22:30 Coronas Note Edited: 0002421
2007-10-04 14:13 iz0bbz Note Added: 0002423
2007-10-10 03:56 YAFU Note Added: 0002427
2007-10-10 03:56 YAFU Note Added: 0002428
2007-10-10 04:03 YAFU Note Deleted: 0002428
2007-10-10 05:06 YAFU Note Edited: 0002427
2008-01-08 07:02 Xaignar Relationship added related to 0001177
2008-01-08 07:03 Xaignar Relationship added related to 0001167
2008-01-11 18:48 Xaignar Relationship added related to 0001210
2008-01-17 16:40 Xaignar Status acknowledged => assigned
2008-01-17 16:40 Xaignar Assigned To Wuischke => Xaignar
2008-01-17 16:40 Xaignar Relationship added related to 0001239
2008-01-19 15:53 benjavalero Note Added: 0002520
2008-01-19 18:37 Xaignar Note Added: 0002521
2008-02-07 21:35 benjavalero Note Added: 0002555
2008-02-07 21:35 benjavalero Note Added: 0002556
2008-02-07 21:36 benjavalero Note Added: 0002557
2008-02-07 21:36 benjavalero Note Deleted: 0002555
2008-02-07 21:37 benjavalero Note Deleted: 0002556
2008-02-08 00:05 Coronas Note Added: 0002558
2008-02-17 02:08 Xaignar Note Added: 0002570
2008-02-22 06:23 YAFU Note Added: 0002660
2008-02-22 11:11 Xaignar Status assigned => resolved
2008-02-22 11:11 Xaignar Fixed in Version => SVN
2008-02-22 11:11 Xaignar Note Added: 0002661


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker